/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:14pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Tavared.cs
Lines of code: 79

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class GreatGumdropsQuest : BaseQuest
	{				
		public override object Title{ get{ return "Great Gumdrops!"; } }
		
		public override object Description{ get{ return "The Sorceress of the Night is a terrible foe. For ages, she's plagued us druids with her wickedness. She grew so powerful that we were forced to seal her in the building to the west. We lost many druids in the process.<br><br>Even now, she continues to plague us with these spirits of those we've lost. Now the ladies of the mist are cursed to sap the life from this area.<br><br>To protect those outside the Land of Mist, we were forced to destroy the bridge to this area and seal ourselves into seclusion to contain the curse upon this land. It was the only way to prevent it from spreading.<br><br>If you are brave and strong, join us in the battle to destroy the Sorceress of the Night. Retrieve for me some berry gumdrops. Alvared cannot be pursuaded to give them out to anyone but if you can find a way to do so, then your mind is strong willed and capable to outwit the sorceress."; } }
		
		public override object Refuse{ get{ return "This battle is not for the faint hearted. I completely understand your refusal"; } }
		
		public override object Uncomplete{ get{ return "Alvared holds the berry gumdrops. Find a way to convince him to give them to you"; } }
		
		public override object Complete{ get{ return "You are indeed a strong minded individual. Being able to convince Alvared to give these to you was no easy task. Take this key and join us in the battle to destroy the Sorceress of the Night!"; } }
	
		public GreatGumdropsQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( BerryGumdrop ), "Berry Gumdrop", 10, 7847, 0, 1324 ) );
			
			AddReward( new BaseReward( typeof( SorceressOfTheNightKey ), "A haunted house key (Sorceress of the Night)" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Tavared : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( GreatGumdropsQuest )
			};} 
		}
		
		[Constructable]
		public Tavared() : base( "Tavared", "the druid" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Tavared( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 33358;

			Female = false;
			Race=Race.Elf;
			Body = 605;
		}
		
		public override void InitOutfit()
		{
			AddItem( new MaleElvenRobe( 1364 ) );
			AddItem( new Sandals() );
			AddItem( new Obi( 1191 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Hue = 1190;
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}